/*
 * CASCut.cpp
 *
 *  Created on: 13-may-2011
 *      Author: Sergio Ricciarini
 */

/*! @file CASCut.cpp The CASCut class implementation file */

#include "CASCut.h"

int CASCut::Check(PamLevel2 *event) {

  if (event->GetAcLevel2()->IsHit("CAS1-M") || event->GetAcLevel2()->IsHit("CAS1-E"))
    return 0;
  if (event->GetAcLevel2()->IsHit("CAS2-M") || event->GetAcLevel2()->IsHit("CAS2-E"))
    return 0;
  if (event->GetAcLevel2()->IsHit("CAS3-M") || event->GetAcLevel2()->IsHit("CAS3-E"))
    return 0;
  if (event->GetAcLevel2()->IsHit("CAS4-M") || event->GetAcLevel2()->IsHit("CAS4-E"))
    return 0;

  return CUTOK;

}
